Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 Oct 2014, 01:14
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Installed Google Earth, won't start
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Author Message
puppyLUVER1234


Joined: 05 Aug 2007
Posts: 80
Location: Georgia, United States

PostPosted: Thu 30 Aug 2007, 10:40    Post_subject:  Installed Google Earth, won't start  

Ok, i tried to install Google Earth today. I gave the .bin file permission to execute. Then, i encountered 2 errors which i do not remember what they was for. Well, it finished installing smoothly then i typed "googleearth" into the terminal. It begins to start up then crashes. Can anyone help me out?
Back to top
View user's profile Send_private_message Visit_website YIM 
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Thu 30 Aug 2007, 10:48    Post_subject:  

I think you need 3D accelleration. Which version of puppy are you using and what is you computer like (graphics card/chip, ram, processor, ect...)?
Back to top
View user's profile Send_private_message Visit_website 
puppyLUVER1234


Joined: 05 Aug 2007
Posts: 80
Location: Georgia, United States

PostPosted: Thu 30 Aug 2007, 10:53    Post_subject:  

Puppy Version: 2.17
Chip-set: Intel 810 with integrated Graphics and Audio
Graphics: Intel 810 Integrated
Ram: 128mb
Swap: 1.0 GB
Processor: Intel Celeron 1.2 Gh
Back to top
View user's profile Send_private_message Visit_website YIM 
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Thu 30 Aug 2007, 11:04    Post_subject:  

i would recommend downloading 2.16 then install 3d control center then install the correct video drivers with it the intel drivers are not out yet for 2.17 but... you could try compiling them yourself you would need devx_2.17.sfs and the driver sources you may also need the kernel source but i don't think you do


cb88
Back to top
View user's profile Send_private_message Visit_website 
puppyLUVER1234


Joined: 05 Aug 2007
Posts: 80
Location: Georgia, United States

PostPosted: Thu 30 Aug 2007, 11:06    Post_subject:  

wow
Back to top
View user's profile Send_private_message Visit_website YIM 
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Thu 30 Aug 2007, 11:13    Post_subject:  

it is likely you don't have enough ram i wan't to say that your video card is good enough but am not sure maybe someone else knows.

what were the errors you got?
Back to top
View user's profile Send_private_message Visit_website 
puppyLUVER1234


Joined: 05 Aug 2007
Posts: 80
Location: Georgia, United States

PostPosted: Thu 30 Aug 2007, 11:30    Post_subject:  

Here is the file that i pasted the error into: http://files-upload.com/files/470551/Pastebin.doc
Edited_times_total
Back to top
View user's profile Send_private_message Visit_website YIM 
puppyLUVER1234


Joined: 05 Aug 2007
Posts: 80
Location: Georgia, United States

PostPosted: Thu 30 Aug 2007, 13:10    Post_subject:  

Bump
Back to top
View user's profile Send_private_message Visit_website YIM 
puppyLUVER1234


Joined: 05 Aug 2007
Posts: 80
Location: Georgia, United States

PostPosted: Thu 30 Aug 2007, 14:15    Post_subject:  

bump
Back to top
View user's profile Send_private_message Visit_website YIM 
alienjeff


Joined: 08 Jul 2006
Posts: 2291
Location: Winsted, CT - USA

PostPosted: Thu 30 Aug 2007, 15:35    Post_subject:  

pastebin.ca is a more frequently used alternative to files-upload.com, though to each his/her/its own ...

The animated avatar is one thing. The mini-rendition of a Lamar Advertising outdoor electronic billboard is another. But to repeatedly bump a post after only an hour or two on a forum with a community the size of this one isn't going to win you much admiration.

Edited_times_total
Back to top
View user's profile Send_private_message 
jonyo

Joined: 28 Dec 2006
Posts: 2727

PostPosted: Thu 30 Aug 2007, 15:44    Post_subject:  

Had the same prob in another distro. Wouldn't run (or open) off the onboard integrated graphics gizmo.
Popped in a pci graphics card & BOOM - good to go.

Edited_time_total
Back to top
View user's profile Send_private_message 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Thu 30 Aug 2007, 17:32    Post_subject:  

In theory, the drill is:

1. Be using XOrg, 24-bit color.

2. Start --> System --> 3DCC.

3. Highlight DRM Kernelmodules, click "go"
--it will download the DRM kernelmodules, if wget is configured correctly.

4. Highlight DRI-Graficscard drivers, click "go", "i810", "install".
--it will download the i810 driver. Click OK to the dotpup to install.

5. OpenGL, "go."

However, I had trouble downloading OpenGL just now using 3DCC; so instead I surfed to
http://dotpups.de/dotpups/XServer/DRI/
downloaded OpenGL.pup to /root, and clicked its icon to unpack it. You may have to do this also for the DRM-Kernelmodules and i810 driver as well, if your connection to dotpups.de is as temperamental as mine.

6. Open-as-text /etc/X11/xorg.conf and below the line

Load "glx"

add the line

Load "dri"
(save, close)

and then Start --> Window Manager --> Restart X server.

Now try the 3DCC "run a 3D-Demo" and tell us what the output is, i.e. it will either say "DRI is not active" or else AntInspect will start and you'll see an "FPS:" figure.

When AntInspect works OK, then GoogleEarth should work.

However GoogleEarth crashes when I try to use it in Puppy 2.17.1.

Works just fine in 2.15CE.
Back to top
View user's profile Send_private_message 
puppyLUVER1234


Joined: 05 Aug 2007
Posts: 80
Location: Georgia, United States

PostPosted: Thu 30 Aug 2007, 17:53    Post_subject:  

DOes this involve downgrading Puppy because i see none of those options you described.
Back to top
View user's profile Send_private_message Visit_website YIM 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Thu 30 Aug 2007, 18:24    Post_subject:  

puppyLUVER1234 wrote:
DOes this involve downgrading Puppy because i see none of those options you described.
Oops. Heh. I forgot. I have WhoDo's EZPup 2.1.7R2 installed. You need to go get that first. That gives you 3DCC. Then...Start --> Setup --> 3DCC.

Try it, maybe Google Earth will work for you after you activate 3DCC as per above, in 2.17.1 + EZPup. Perhaps GE doesn't like my mainboard or vid card. Or perhaps it didn't like the hard disk hdc which was on the system until about 15 minutes ago, when it made klunky noises and went to that great server in the sky (*sob*...I just spent two days installing Gentoo on it...).
Back to top
View user's profile Send_private_message 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Thu 30 Aug 2007, 18:28    Post_subject:  

Or, if you don't like WhoDo's icewm and themes, you can go get 3DCC off of MU's server. See next post.
Edited_time_total
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0842s ][ Queries: 12 (0.0222s) ][ GZIP on ]